**** 6P1P_EB ******************************************
* Created on 07/29/2020 03:01 using paint_kip.jar
* [URL="http://www.dmitrynizh.com/tubeparams_image.htm"]Model Paint Tools: Trace Tube Parameters over Plate Curves, Interactively[/URL]
* Plate Curves image file: 6p1p-eb.png
* Data source link: <plate curves URL>
*----------------------------------------------------------------------------------
.SUBCKT 6P1P_EB P G2 G K ; LTSpice tetrode.asy pinout
* .SUBCKT 6P1P_EB P G K G2 ; Koren Pentode Pspice pinout
+ PARAMS: MU=11.5 KG1=2214 KP=38.1 KVB=13.8 VCT=0.049 EX=1.414 KG2=4752.72 KNEE=7.128 KVC=1.975
+ KLAM=1.788E-14 KLAMG=4.72E-4  KD=0.616 KC=0.182 KR1=0.001144 KR2=0.05632 KVBG=0.015 KB1=2.02 KB2=1.22 KB3=0.58 KB4=0.755 KVBGI=4.15E-4 KNK=-0.07024 KNG=0.03175 KNPL=20.37 KNSL=54.53 KNPR=59.13 KNSR=51.88
+ CCG=7.5P CGP=0.7P CCP=5P VGOFF=-2.066 IGA=0.00105 IGB=0.276 IGC=6.64 IGEX=1.7
* Vp_MAX=360 Ip_MAX=140 Vg_step=5 Vg_start=0 Vg_count=12
* X_MIN=64 Y_MIN=40 X_SIZE=777 Y_SIZE=562 FSZ_X=1296 FSZ_Y=736 XYGrid=true
* Rp=1400 Vg_ac=20 P_max=12 Vg_qui=-27.5 Vp_qui=300 
* showLoadLine=n showIp=y isDHP=n isPP=n isAsymPP=n isUL=n showDissipLimit=y 
* showIg1=y isInputSnapped=y addLocalNFB=n
* XYProjections=n harmonicPlot=y dissipPlot=n 
* UL=0.43 EG2=250 gridLevel2=y addKink=y isTanhKnee=n advSigmoid=y 
*----------------------------------------------------------------------------------
RE1  7 0  1G    ; DUMMY SO NODE 7 HAS 2 CONNECTIONS
E1   7 0  VALUE=  ; E1 BREAKS UP LONG EQUATION FOR G1.
+{V(G2,K)/KP*LOG(1+EXP((1/MU+(VCT+V(G,K))/SQRT(KVB+V(G2,K)*V(G2,K)))*KP))}
RE2  6 0  1G    ; DUMMY SO NODE 6 HAS 2 CONNECTIONS
E2  6 0  VALUE={(PWR(V(7),EX)+PWRS(V(7),EX))} ; Kg1 times KIT current
E4   8 0  VALUE={V(P,K)/KNEE/(KVBGI+V(6)*KVBG)}
E5  81 0  VALUE={PWR(V(8),KB1)}
E6  82 0  VALUE={PWR(V(8),KB2)}
E7  83 0  VALUE={PWR(V(8),KB3)}
E8   9 0  VALUE={PWR(1-EXP(-V(81)*(KC+KR1*V(82))/(KD+KR2*V(83))),KB4)*1.5708}
RE4  8 0  1
RE5 81 0  1
RE6 82 0  1
RE7 83 0  1
RE8  9 0  1
RE21 21 0 1
E21  21 0 VALUE={V(6)/KG1*V(9)} ; Ip with knee but no slope and no kink
RE22 22 0 1 ; E22: kink curr deviation for plate
E22  22 0 VALUE={V(21)*LIMIT(KNK-V(G,K)*KNG,0,0.3)*(-ATAN((V(P,K)-KNPL)/KNSL)+ATAN((V(P,K)-KNPR)/KNSR))} 
G1   P K  VALUE={V(21)*(1+KLAMG*V(P,K))+KLAM*V(P,K) + V(22)}
G2   G2 K  VALUE={V(6)/KG2*(KVC-V(9))/(1+KLAMG*V(P,K)) - V(22)}
RCP  P K  1G     ; FOR CONVERGENCE
C1   K G  {CCG}  ; CATHODE-GRID 1
C2   G P  {CGP}  ; GRID 1-PLATE
C3   K P  {CCP}  ; CATHODE-PLATE
RE23 G 0 1G 
GG G K VALUE={(IGA+IGB/(IGC+V(P,K)))*(MU/KG1)*
+(PWR(V(G,K)-VGOFF,IGEX)+PWRS(V(G,K)-VGOFF,IGEX))}
.ENDS
*$
